<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/12/4
 * Time: 上午10:14
 */

namespace App\Modules\Finance\Services;


use App\Modules\Finance\Models\BillPayMerchant;
use App\Modules\Finance\Models\FinancialPayMerchantBalance;

class FinancialPayMerchantBalanceService
{

   static function addPayMerchantsBills(Array $recharge_infos){
       return BillPayMerchant::addPayMerchantsBills($recharge_infos);
   }
    static function getChannelEnableWithdraw($channel_id,$is_company){
        return FinancialPayMerchantBalance::getChannelEnableWithdraw($channel_id,$is_company);
    }

    static function updateBalanceByWithdraw($money,$channelId,$pay_merchant_company_id){
        return FinancialPayMerchantBalance::updateBalanceByWithdraw($money,$channelId,$pay_merchant_company_id);
    }

    static function getChannelEnableWithdrawByCompanyId($channel_id){
        return FinancialPayMerchantBalance::getChannelEnableWithdrawByCompanyId($channel_id);
    }
}